summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD16
-rw-r--r--dependencies.patch20
3 files changed, 36 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0d9a32a62d3..42440827af7 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = python-syncthing
pkgdesc = Python bindings to the Syncthing REST interface
pkgver = 2.3.1
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/blakev/python-syncthing
arch = any
license = GPL
@@ -11,7 +11,9 @@ pkgbase = python-syncthing
depends = python-dateutil
options = !emptydirs
source = https://files.pythonhosted.org/packages/source/s/syncthing/syncthing-2.3.1.tar.gz
+ source = dependencies.patch
md5sums = ead41fbbc898fa53d276261b490d5b45
+ md5sums = 87ca42df5cd7771906db75c32452bb3d
pkgname = python-syncthing
diff --git a/PKGBUILD b/PKGBUILD
index 84f436a8ff9..b7acdcf5aa9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=python-syncthing
_name=syncthing
pkgver=2.3.1
-pkgrel=1
+pkgrel=2
pkgdesc="Python bindings to the Syncthing REST interface"
arch=('any')
url="https://github.com/blakev/python-syncthing"
@@ -17,8 +17,18 @@ replaces=()
backup=()
options=(!emptydirs)
install=
-source=("https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz")
-md5sums=('ead41fbbc898fa53d276261b490d5b45')
+source=(
+ "https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz"
+ "dependencies.patch"
+)
+
+md5sums=('ead41fbbc898fa53d276261b490d5b45'
+ '87ca42df5cd7771906db75c32452bb3d')
+
+prepare() {
+ cd "${srcdir}/${_name}-${pkgver}"
+ patch -p0 < ${srcdir}/dependencies.patch
+}
package() {
cd "$srcdir/$_name-$pkgver"
diff --git a/dependencies.patch b/dependencies.patch
new file mode 100644
index 00000000000..aa3888645c3
--- /dev/null
+++ b/dependencies.patch
@@ -0,0 +1,20 @@
+--- setup.py 2018-08-13 19:08:11.000000000 +0200
++++ - 2018-08-25 14:42:08.852853550 +0200
+@@ -12,8 +12,8 @@
+ url = 'https://github.com/blakev/python-syncthing',
+ license = 'The MIT License',
+ install_requires = [
+- 'python-dateutil==2.6.1',
+- 'requests==2.18.4'
++ 'python-dateutil',
++ 'requests'
+ ],
+ extras_require = {
+ 'dev': [
+@@ -43,4 +43,4 @@
+ 'Programming Language :: Python :: 3.7',
+ 'Topic :: System :: Archiving :: Mirroring'
+ ],
+-)
+\ No newline at end of file
++)